# Uses of Interface
com.sun.source.doctree.SystemPropertyTree

Packages that use SystemPropertyTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SystemPropertyTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SystemPropertyTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitSystemProperty(SystemPropertyTree node, P p)`
Visits a `SystemPropertyTree` node.

## Uses of SystemPropertyTree in com.sun.source.util

Methods in com.sun.source.util that return SystemPropertyTree
Modifier and Type
Method
Description
`SystemPropertyTree`
DocTreeFactory.`newSystemPropertyTree(Name propertyName)`
Creates a new `SystemPropertyTree` object, to represent a `{@systemProperty }` tag.
Methods in com.sun.source.util with parameters of type SystemPropertyTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSystemProperty(SystemPropertyTree node, P p)`
Visits a `SystemPropertyTree` node.
`R`
SimpleDocTreeVisitor.`visitSystemProperty(SystemPropertyTree node, P p)`
Visits a `SystemPropertyTree` node.